> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog enrichment status

> Retrieves the current status of a catalog enrichment workflow.



## OpenAPI

````yaml product-agent.openapi get /v3/product-agent-api/catalog-workflow/{workflow_id}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support Team
  description: >
    The Product Agent API helps brands optimize product data for AI-driven
    commerce.

    Monitor how your catalog performs in AI search experiences, enrich product

    content for stronger semantic visibility, and publish optimized data across

    channels. Designed for iterative improvement, Product Agent enables teams to

    measure, refine, and enhance product content as AI shopping behavior
    evolves.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Orders API
  version: 3.0.0
  x-audience: external-public
servers:
  - url: https://commerceos.aiagents.fabric.inc/api
    description: Production API
security:
  - authorization: []
externalDocs:
  description: Find out more about Product Agent.
  url: https://developer.fabric.inc/product-agent/overview
paths:
  /v3/product-agent-api/catalog-workflow/{workflow_id}:
    get:
      summary: Get catalog enrichment status
      description: Retrieves the current status of a catalog enrichment workflow.
      operationId: getCatalogWorkflowStatus
      parameters:
        - $ref: '#/components/parameters/DomainHeader'
        - name: workflow_id
          in: path
          required: true
          description: >-
            Enrichment workflow ID returned from `POST
            /v3/product-agent-api/catalog-workflow`.
          schema:
            type: string
            example: 69bd7e9f476258f0ca961c0c
      responses:
        '200':
          description: Catalog enrichment workflow status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogWorkflowResponse'
              example:
                id: 69bd7e9f476258f0ca961c0c
                tenant_id: '-'
                domain: acme.com
                created_at: '2026-03-20T17:06:39.307000'
                updated_at: '2026-03-20T17:07:39.910225Z'
                created_by: 692d9d0eb8636aa1286823be
                name: Product Catalog v2
                source: EXTENSION
                type: CATALOG_ENRICHMENT
                status: COMPLETED
                step: FULL_PRODUCT_CATALOG_COMPLETED
                crawling_configuration: null
                enrichment_configuration:
                  catalog_scope: FULL
                  catalog_file_id: 69bd7e7f476258f0ca961c07
                  force_refresh: true
                  is_citation_enabled: false
                  include_ads_feed: false
                  use_v2_orchestrator: true
                  brand_guidelines: []
                  factual_feedback: null
                  additional_attributes: null
                  concurrency: 10
                brand_inference_configuration: null
                notification: null
                last_event_at: '2026-03-20T17:07:39.910225Z'
                retry_count: 0
                max_retries: 3
                last_error: null
                catalog_scope: FULL
                catalog_file_id: 69bd7e7f476258f0ca961c07
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Workflow not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    DomainHeader:
      name: domain
      in: header
      required: true
      schema:
        type: string
        example: vessel
      description: >-
        The brand domain or brand identifier used to scope the request to a
        specific brand’s data and configuration.
  schemas:
    CatalogWorkflowResponse:
      type: object
      required:
        - id
        - tenant_id
        - domain
        - created_at
        - updated_at
        - created_by
        - name
        - source
        - type
        - status
        - step
        - enrichment_configuration
        - last_event_at
        - retry_count
        - max_retries
        - catalog_scope
        - catalog_file_id
      properties:
        id:
          type: string
          description: Workflow identifier.
          example: 69c1784f9184cbdb46675449
        tenant_id:
          type: string
          example: '-'
        domain:
          type: string
          example: acme.com
        created_at:
          type: string
          format: date-time
          example: '2026-03-23T17:28:47.903000'
        updated_at:
          type: string
          format: date-time
          example: '2026-03-23T17:28:47.903000'
        created_by:
          type: string
          description: Identifier of the user or service that created the workflow.
          example: 692d9d0eb8636aa1286823be
        name:
          type: string
          example: Product Catalog v2
        source:
          type: string
          example: EXTENSION
        type:
          type: string
          example: CATALOG_ENRICHMENT
        status:
          type: string
          example: COMPLETED
        step:
          type: string
          example: FULL_PRODUCT_CATALOG_COMPLETED
        crawling_configuration:
          type: object
          nullable: true
          additionalProperties: true
          example: null
        enrichment_configuration:
          $ref: '#/components/schemas/CatalogEnrichmentConfigurationResponse'
        brand_inference_configuration:
          type: object
          nullable: true
          additionalProperties: true
          example: null
        notification:
          type: object
          nullable: true
          additionalProperties: true
          example: null
        last_event_at:
          type: string
          format: date-time
          example: '2026-03-20T17:07:39.910225Z'
        retry_count:
          type: integer
          example: 0
        max_retries:
          type: integer
          example: 3
        last_error:
          type: string
          nullable: true
          example: null
        catalog_scope:
          type: string
          example: FULL
        catalog_file_id:
          type: string
          example: 69bd7e7f476258f0ca961c07
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    CatalogEnrichmentConfigurationResponse:
      type: object
      required:
        - catalog_scope
        - catalog_file_id
        - force_refresh
        - is_citation_enabled
        - include_ads_feed
        - use_v2_orchestrator
        - brand_guidelines
        - concurrency
      properties:
        catalog_scope:
          type: string
          example: FULL
        catalog_file_id:
          type: string
          example: 69bd7e7f476258f0ca961c07
        force_refresh:
          type: boolean
          example: true
        is_citation_enabled:
          type: boolean
          example: false
        include_ads_feed:
          type: boolean
          example: false
        use_v2_orchestrator:
          type: boolean
          example: true
        brand_guidelines:
          type: array
          items:
            type: string
          example: []
        factual_feedback:
          type: object
          nullable: true
          additionalProperties: true
          example: null
        additional_attributes:
          type: object
          nullable: true
          additionalProperties: true
          example: null
        concurrency:
          type: integer
          example: 10
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````